digiKam Developer Documentation: Digikam::DRawInfo Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::DRawInfo Class Reference

## Public Types
enum | ImageOrientation { ORIENTATION_NONE = 0 , ORIENTATION_180 = 3 , ORIENTATION_Mirror90CCW = 4 , ORIENTATION_90CCW = 5 , ORIENTATION_90CW = 6 }
| The RAW image orientation values.

## Public Member Functions
| DRawInfo ()
| Standard constructor.
| ~DRawInfo ()=default
| Standard destructor.

## Public Attributes
double | altitude = 0.0F
float | ambientAcceleration = -1000.0F
| Directionless camera acceleration in units of mGal, or 10-5 m/s2.
float | ambientElevationAngle = -1000.0F
| Camera elevation angle in degrees.
float | ambientHumidity = -1000.0F
| Ambient relative humidity in percent.
float | ambientPressure = -1000.0F
| Ambient air pressure in hPa or mbar.
float | ambientTemperature = -1000.0F
| Ambient temperature in Celsius degrees.
float | ambientWaterDepth = 1000.0F
| Depth under water in metres, negative for above water.
float | aperture = -1.0F
| Aperture value in APEX.
float | baselineExposure = -999.0F
| Exposure compensation to be applied during raw conversion.
unsigned int | blackPoint = 0
| Black level from Raw histogram.
unsigned int | blackPointCh [4] = { 0 }
| Channel black levels from Raw histogram.
float | cameraColorMatrix1 [3][4]
| Camera Color Matrix.
float | cameraColorMatrix2 [3][4]
double | cameraMult [4] = { 0.0 }
| Camera multipliers used for White Balance adjustments.
float | cameraXYZMatrix [4][3]
QString | colorKeys
| The used Color Keys.
QDateTime | dateTime
| Date & time when the picture has been taken.
double | daylightMult [3] = { 0.0 }
| White color balance settings.
QString | description
| The image description of raw image.
QString | DNGVersion
| The DNG version.
float | exposureIndex = -1.0F
| Exposure Index from the camera.
int | exposureProgram = -1
| The exposure program used by camera.
float | exposureTime = -1.0F
| 1/exposureTime = exposure time in seconds.
QString | filterPattern
| The demosaising filter pattern.
QString | firmware
| The Firmware name or version which create raw image.
int | flashUsed = -1
| Describe how flash has been used by camera.
float | focalLength = -1.0F
| Focal Length value in mm.
int | focalLengthIn35mmFilm = -1
| Valid value is unsigned.
QSize | fullSize
| The full RAW image dimensions in pixels.
bool | hasGpsInfo = false
| true if GPS info are parsed from RAW file.
bool | hasIccProfile = false
| True if RAW file include an ICC color profile.
QByteArray | iccData
| ICC color profilr container extracted from RAW file, if present.
QString | imageID
| An unique image ID generated by camera.
QSize | imageSize
| The image dimensions in pixels.
bool | isDecodable = false
| True is RAW file is decodable by dcraw.
double | latitude = 0.0F
| GPS information.
unsigned int | leftMargin = 0
| Left margin of raw image.
QString | lensMake
QString | lensModel
| Description of lens properties.
QString | lensSerial
QString | localizedCameraModel
| Localized name for the camera model that created the raw file.
double | longitude = 0.0F
QString | make
| The camera maker.
float | maxAperture = -1.0F
| Valid value is unsigned.
int | meteringMode = -1
| The metering mode used by camera.
QString | model
| The camera model.
ImageOrientation | orientation = ORIENTATION_NONE
| The raw image orientation.
QString | originalRawFileName
| The original RAW file name.
QSize | outputSize
| The output dimensions in pixels.
QString | owner
| The artist name who have picture owner.
float | pixelAspectRatio = 1.0F
| The pixel Aspect Ratio if != 1.0.
int | rawColors = -1
| The number of RAW colors.
QString | rawDataUniqueID
| An unique RAW data ID.
int | rawImages = -1
| The number of RAW images.
float | sensitivity = -1.0F
| The sensitivity in ISO used by camera to take the picture.
unsigned int | serialNumber = 0
| Serial number of raw image.
QString | software
| The software name which process raw image.
QByteArray | thumbnail
| Thumbnail image data extracted from raw file.
QSize | thumbSize
| The thumb dimensions in pixels.
unsigned int | topMargin = 0
| Top margin of raw image.
QString | uniqueCameraModel
| Non-localized name for the camera model that created the raw file.
unsigned int | whitePoint = 0
| White level from Raw histogram.
QByteArray | xmpData
| Xmp metadata container extracted from RAW file, if present.

## Constructor & Destructor Documentation

## ◆ DRawInfo()

Digikam::DRawInfo::DRawInfo | ( |  | ) |
| explicit

< NOTE: see bug #253911 : [y][x] not [x][y]

## Member Data Documentation

## ◆ ambientAcceleration

float Digikam::DRawInfo::ambientAcceleration = -1000.0F

-1000 is an invalid acceleration.

## ◆ ambientElevationAngle

float Digikam::DRawInfo::ambientElevationAngle = -1000.0F

-1000 is an invalid angle.

## ◆ ambientHumidity

float Digikam::DRawInfo::ambientHumidity = -1000.0F

-1000 is an invalid humidity.

## ◆ ambientPressure

float Digikam::DRawInfo::ambientPressure = -1000.0F

-1000 is an invalid pressure.

## ◆ ambientTemperature

float Digikam::DRawInfo::ambientTemperature = -1000.0F

-1000 is an invalid temperature.

## ◆ ambientWaterDepth

float Digikam::DRawInfo::ambientWaterDepth = 1000.0F

1000 is an invalid water depth.

## ◆ baselineExposure

float Digikam::DRawInfo::baselineExposure = -999.0F

-999 is an invalid exposure.

## ◆ DNGVersion

QString Digikam::DRawInfo::DNGVersion

NOTE: it is only shown with DNG RAW files.

## ◆ exposureIndex

float Digikam::DRawInfo::exposureIndex = -1.0F

Valid value is unsigned.

## ◆ exposureProgram

int Digikam::DRawInfo::exposureProgram = -1

Valid value is unsigned.

## ◆ flashUsed

int Digikam::DRawInfo::flashUsed = -1

Valid value is unsigned.

## ◆ meteringMode

int Digikam::DRawInfo::meteringMode = -1

Valid value is unsigned.

## ◆ pixelAspectRatio

float Digikam::DRawInfo::pixelAspectRatio = 1.0F

NOTE: if == 1.0, libraw CLI tool do not show this value. Default value = 1.0. This can be unavailable (depending of camera model).